<?php
/**
 * 
 * @file user_repository.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/pages.php');
require_once('class_user_repository.php');

$url = 'mod_user_repository/user_repository.php';
Common::checkAdminFileAuth($url); //check file authority
$clComUserRepository = new ComUserRepository();

if (!isset($act)) $act = '';

switch ($act) {
    case 'setvalue':
        $clComUserRepository -> setFieldRecords();
        break;

    case 'delete_forever':
        $clComUserRepository -> deleteRecords();
        break;

    default :
        $clComUserRepository -> layout_user_repository();
        break;
} 

?>